Problema de actualización ODA X6-2-HA desde 12.1.2.11.0 a 12.2.1.2.0 «It should be relinked with RDS protocol»

Problema:

Al actualizar el ODA (oracle database appliance) X6-2-HA desde la versión 12.1.2.11.0 a la 12.2.1.0 obtenemos el siguiente error

[root@test-node1 ~]# oakcli update -patch 12.2.1.2.0 --server 

***************************************************************** 
The grid software on this system is linked with UDP/IP protocol. 
It should be relinked with RDS protocol 

For more details, please refer to the 12.2.1.2.0 release notes 
and README. 
***************************************************************** 

Exiting...

Solución:

Para solucionar el problema, en primer lugar tenemos que parar todas las bases de datos, en ambos nodos del ODA. Una vez paradas recompilamos las librerías para que la comunicación entre los nodos, en vez de ser mediante protocolo TCP/UDP sea mediante RDS

[root@test-node1 ~]# su - oracle
[oracle@test-node1 ~]# cd /opt/scripts
[oracle@test-node1 ~]# ./stop_databases.sh
[oracle@test-node1 ~]# ./stop_listeners.sh

##Ahora en el nodo 2 paramos las bases datos y los listeners

[root@test-node2 ~]# su - oracle
[oracle@test-node2 ~]# cd /opt/scripts
[oracle@test-node2 ~]# ./stop_databases.sh
[oracle@test-node2 ~]# ./stop_listeners.sh

##Vamos de nuevo al nodo 1

[oracle@test-node1 ~]#  cd $ORACLE_HOME/rdbms/lib 
[oracle@test-node1 ~]#  make -f ins_rdbms.mk ipc_rds 

##Hacemos los miso en el nodo 2

[oracle@test-node2 ~]#  cd $ORACLE_HOME/rdbms/lib 
[oracle@test-node2 ~]#  make -f ins_rdbms.mk ipc_rds 

Con esto ya podríamos proceder a la actualización de nuestro Oracle Database Appliance

Tenemos una nueva actualizacion sobre está entrada

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *